caspar (20240818-2) unstable; urgency=medium

  * d/control: add aephea to Build-Depends, in order to get rid of
    "[\dofile#2] failed to open file <pud/man.zmm>" build failure.  The zoem
    package does not Depend upon aephea, but merely Suggests it.  Thanks
    Phil Wyett for pointing this out.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Fri, 11 Oct 2024 16:13:36 +0200

caspar (20240818-1) unstable; urgency=medium

  * New upstream release - The Meždo Release
    + Upstream no longer ships typesetted (zoem) documentation in tarball
      release, but build-depends upon zoem.  This closes "Fails to build
      binary packages again after successful build". Thanks Lucas Nussbaum.
      (However, under some circumstances, dpkg-source detects local changes in
      aclocal.m4 and configure.  This might indicate a related bug.)
      (closes: #1049637)
    + d/control: add zoem, tidy and w3m to Build-Depends.
    + d/control: s/markdown/cmark/ in Suggests.
    + d/{rules,caspar-doc.install,caspar-doc.doc-base.{caspar,
      caspar-typesetting,csp_helper}}: do not try to install PostScript files:
      upstream no longer generates those.  BTW, one can easily generate .ps or
      PDF from manpages; e.g. "man -t caspar | ps2pdf" generates Portable
      Document Format on stdout.

  * d/{rules,lintian-overrides}: added lintian-overrides, call dh_lintian. see
    Bug#1076648: 'aephea: causes groff warning "cannot select font 'C'" [...]'
    and see also https://savannah.gnu.org/bugs/index.php?64594 .

 -- Joost van Baal-Ilić <joostvb@debian.org>  Thu, 10 Oct 2024 12:37:38 +0200

caspar (20220907-1) unstable; urgency=medium

  * New upstream release - The Stanowischt Release
    + debian/copyright: updated years.
  * debian/control: add: Suggests: markdown.
  * debian/control: wrap extended description, tnx lintian.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Fri, 09 Sep 2022 10:17:06 +0200

caspar (20200611-2) unstable; urgency=medium

  * Reupload as source-only in order to facilitate migration to testing.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Fri, 10 Jul 2020 16:05:26 +0200

caspar (20200611-1) unstable; urgency=medium

  * New upstream release - The Minneapolis Release
    + This release dedicated to James Baldwin (★ 1924 – † 1987).
    + Now ships with complete caspar(7) manpage: no longer trunkated.
  * debian/copyright: converted to machine-readable DEP5 debian/copyright
    file, no longer refer to common-licenses/GPL but to
    versioned /usr/share/common-licenses/GPL-3.
  * debian/control: require current debhelper compat version 13,
    as shipped with Debian 11 "bullseye" and with buster-backports; not
    obsolete 10.
  * debian/control: add explicit "Rules-Requires-Root: binary-targets".

 -- Joost van Baal-Ilić <joostvb@debian.org>  Wed, 17 Jun 2020 13:36:11 +0200

caspar (20180315-2) unstable; urgency=medium

  * debian/watch: now actually usable: no longer matches caspar-latest.tar.gz
  * debian/watch: updated version from 3 to 4.
  * debian/upstream/signing-key.asc: added in order to automagically verify
    upstream signature.
  * debian/control: caspar-doc marked "Multiarch: foreign" since it is
    Architecture: all, does not contain any maintainer scripts and does not
    have any dependencies on architecture-dependent packages.  Thanks
    Multiarch hinter.
  * debian/compat, debian/control: updated debhelper compatibility level from
    9 to 10.  Now needs stretch/9 (stable) (or 8/jessie-backports) to build.
    (We should still run fine on 7/wheezy.)

 -- Joost van Baal-Ilić <joostvb@debian.org>  Sun, 23 Sep 2018 10:23:44 +0200

caspar (20180315-1) unstable; urgency=low

  * New upstream release - The Romstjern Release
  * debian/control: update Suggests: "please transition from jadetex to
    texlive-formats-extra". Thanks PREINING Norbert. (closes: #871753, #871746)
  * debian/{compat,control}: update from debhelper 7 to 9.
  * debian/control: bumped Standards-Version: from 3.9.7 to 3.9.8 (no
    changes needed).

 -- Joost van Baal-Ilić <joostvb@debian.org>  Thu, 15 Mar 2018 14:26:21 +0100

caspar (20170830-1) unstable; urgency=low

  * New upstream release - The Bleukbos Release
  * debian/control: bumped Standards-Version: from 3.9.5 to 3.9.7 (no
    changes needed: caspar-doc behaves as now specified in policy 12.3).
  * debian/control: fix Homepage and Vcs-Git fields: work around bug in my
    current bozohttpd webserver.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Wed, 30 Aug 2017 13:03:51 +0200

caspar (20140919-1) unstable; urgency=low

  * New upstream release - The Prnjavor Release
  * debian/control: bumped Standards-Version: from 3.9.3 to 3.9.5 (no
    changes needed).

 -- Joost van Baal-Ilić <joostvb@debian.org>  Wed, 24 Sep 2014 10:03:03 +0200

caspar (20140203-1) unstable; urgency=low

  * New upstream release - The Matonge, BXL Release
    + Makefile.am, configure.ac: "make distcheck" runs successfully again.
      Fixes "FTBFS: /«PKGBUILDDIR»/missing: line 81: aclocal-1.14: command
      not found".  Thanks David Suárez. (closes: #735789)

 -- Joost van Baal-Ilić <joostvb@debian.org>  Wed, 05 Feb 2014 09:17:01 +0100

caspar (20140106-1) unstable; urgency=low

  * New upstream release - The Bakertand Release.  (Missed:
    version 20131119 - The Sint Agatha Release.)

 -- Joost van Baal-Ilić <joostvb@debian.org>  Mon, 06 Jan 2014 11:20:13 +0100

caspar (20120530-1) unstable; urgency=low

  * New upstream release - The Miekoekse Release

 -- Joost van Baal-Ilić <joostvb@debian.org>  Wed, 30 May 2012 14:17:00 +0200

caspar (20120514-1) unstable; urgency=low

   * New experimental upstream release - The Железничка Release.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Wed, 16 May 2012 14:18:50 +0200

caspar (20120508-1) unstable; urgency=low

  * New experimental upstream release - The Sint Katelijne Release
    (missed 20120420 - The Lamprais Release, for Danishka Navin.)
  * debian/watch: added.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Tue, 08 May 2012 10:35:23 +0200

caspar (20120417-1) unstable; urgency=low

  * New experimental upstream release - The Kokki Release.  Not uploaded to
    Debian.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Tue, 17 Apr 2012 06:56:17 +0200

caspar (20120322-1) unstable; urgency=low

  * New upstream release - The Kothu Roti Release (not uploaded to Debian):
    - backwards incompatible with caspar <= 20101204: csp_CPDIRS and
      csp_CPDIR are no longer honored, see /usr/share/doc/caspar/NEWS.gz.
    - debian/copyright: updated.
  * debian/rules: no longer inspect DEB_BUILD_OPTIONS for "debug" or
    "nostrip": we are arch independent
  * debian/control: update my name.
  * debian/caspar-doc.doc-base.caspar-typesetting: fix spelling error
    (thanks lintian).
  * debian/control: bumped Standards-Version: from 3.9.1 to 3.9.3 (no
    changes needed).
  * debian/rules: add build-arch and build-indep targets (thanks lintian).

 -- Joost van Baal-Ilić <joostvb@debian.org>  Thu, 12 Apr 2012 23:44:44 +0200

caspar (20101204-1) unstable; urgency=low

  * New upstream release.
  * Remove obsolete CVS tags.
  * debian/control: bumped Standards-Version: from 3.8.3 to 3.9.1 (no
    changes needed).
  * debian/{control,compat}: Bump debhelper from 5 to 7.
  * debian/rules: update debhelper usage: replace "$(MAKE) distclean" with
    dh_auto_clean, replace "dh_clean -k" with dh_prep.
  * debian/control: update Suggests to current packagenames: remove
    "gv | postscript-viewer" (since provided by ghostscript), replace now
    obsolete gs-common with ghostscript, replace texlive-base-bin by
    texlive-binaries.
  * debian/control: enhance description, mention puppet and cfengine.

 -- Joost van Baal <joostvb@debian.org>  Sat, 12 Feb 2011 01:21:45 +0100

caspar (20100624-1) unstable; urgency=low

  * New upstream bugfix release.
  * debian/source: Switch to dpkg-source 3.0 (quilt) format, per
    http://wiki.debian.org/Projects/DebSrc3.0# .

 -- Joost van Baal <joostvb@debian.org>  Thu, 24 Jun 2010 14:59:50 +0200

caspar (20100223-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    + Add Vcs-Git, now that upstream (and debian/) migrated from CVS to git.
    + Update obsolete < to << (thanks lintian)
    + Add missing ${misc:Depends} (thanks lintian)

 -- Joost van Baal <joostvb@debian.org>  Tue, 23 Feb 2010 17:28:43 +0100

caspar (20091115-1) unstable; urgency=low

  * New upstream release (missed: 20090926, 20091114).
  * Renamed caspar-doc.doc-base.csp_sucp to caspar-doc.doc-base.csp_helper.
  * Upstream README and NEWS, as well as caspar(7) and caspar-typesetting(7)
    manpages now shipped with caspar; no longer with caspar-doc.
    + Therefore, adjusted extended description of caspar-doc in debian/control.
    + Add Conflicts: caspar-doc (< 20091115-1) to caspar debian/control: deal
      sane when upgrading on systems where e.g. /u/s/d/caspar/README from an
      old caspar-doc package is present.
  * debian/control: bumped Standards-Version: from 3.8.1 to 3.8.3 (no
    changes needed).
  * debian/copyright: update year, explicitly state GPL v3 or later.

 -- Joost van Baal <joostvb@debian.org>  Sat, 14 Nov 2009 08:43:20 +0100

caspar (20090406-1) unstable; urgency=low

  * New upstream release; backwards incompatible with caspar <= 20060216.
    See upstream NEWS file.
  * debian/control: use new Homepage field.
  * debian/control: add CVS Id tags.
  * debian/control: bumped Standards-Version: from 3.7.2.0 to 3.8.1 (no
    changes needed).
  * debian/control: no longer suggest obsolete package tetex-bin, but its
    successor.
  * debian/caspar-doc.doc-base.*: use new doc-base sections.
  * debian/copyright: upstream changed license to GPL v3, adjusted.

 -- Joost van Baal <joostvb@debian.org>  Fri, 19 Jun 2009 22:55:32 +0200

caspar (20070729-1) unstable; urgency=low

  * New upstream (missed: 20070713).
  * debian/control: add perl to suggests, for pod2{html,man} as called
    in pod.mk.  Remove "Conflicts: caspar (<< 20040531-1)" from caspar-doc:
    even oldstable doesn't ship such old versions.  Improve package description.
  * Move DH_COMPAT from debian/rules to debian/compat, and move from 4 to 5.
    Thanks lintian.  (And: Get rid of unneeded debian/dirs.  Nice CVS Id tag in
    debian/docs.)
  * debian/rules: don't ignore all errors from "make distclean".  Thanks again
    lintian.

 -- Joost van Baal <joostvb@debian.org>  Wed, 15 Aug 2007 09:15:35 +0200

caspar (20060618-1) unstable; urgency=low

  * New upstream (missed: snapshots 20060216, 20060531, 20060608, 20060610).
  * Beware: change in caspar.mk user interface.  See the 20060216 entry in
    /usr/share/doc/caspar/NEWS.gz and caspar(7), as installed with the
    caspar-doc package.  For now, backwards compatibility is supplied.
  * debian/{caspar-doc.install,caspar-doc.doc-base.csp_sucp,rules}: install
    and register csp_sucp(1) documentation.
  * debian/control: bumped Standards-Version: from 3.6.2.0 to 3.7.2.0 (no
    changes needed).
  * debian/control: Build-Depends upon debhelper, not Build-Depends-Indep.
    Thanks lintian.

 -- Joost van Baal <joostvb@debian.org>  Sun, 18 Jun 2006 19:56:50 +0200

caspar (20050424-2) unstable; urgency=low

  * debian/copyright: fixed FSF address.
  * debian/caspar-doc.doc-base.caspar-typesetting: caspar-typesetting.txt
    is not compressed: fix filename :-/
  * debian/control: bumped Standards-Version from 3.6.1.0 to 3.6.2.0 (no
    changes needed.)
  * debian/control: found out how to add Homepage pseudo-field (finally!)
  * debian/control: fixed stupid mistake in Conflicts.  Thanks Daniel
    Schepler.  (closes: #352784)

 -- Joost van Baal <joostvb@debian.org>  Wed, 15 Feb 2006 09:42:54 +0100

caspar (20050424-1) unstable; urgency=low

  * New upstream.
  * debian/copyright: minor update.
  * debian/{postinst,postrm,preinst,prerm}: caspar maintainer scripts removed:
    not needed.
  * Ship README.Debian with caspar, containing hint about where to find
    upstream NEWS file.  Thanks Laurent Fousse e.a. for suggestion.

 -- Joost van Baal <joostvb@debian.org>  Sun, 24 Apr 2005 18:35:06 +0200

caspar (20050302-1) unstable; urgency=low

  * New upstream (missed 20050301).
  * Beware!  This version is incompatible with caspar <= 20030825.  See
    upstream NEWS file for details.
  * debian/rules: use DESTDIR (what was I smoking?).  Get rid of now-unneeded
    symlink fix.

 -- Joost van Baal <joostvb@debian.org>  Wed, 02 Mar 2005 10:26:15 +0100

caspar (20040721-1) unstable; urgency=low

  * New upstream.
  * First upload to Debian archive (closes: #260675).
  * control: revamped extended description.

 -- Joost van Baal <joostvb@debian.org>  Wed, 21 Jul 2004 17:24:28 +0200

caspar (20040531-1) unstable; urgency=low

  * New upstream.  Beware: change in user interface, see
    /usr/share/doc/caspar/NEWS.gz
  * Splitted into caspar and caspar-doc packages.

 -- Joost van Baal <joostvb@debian.org>  Mon, 31 May 2004 17:52:48 +0200

caspar (20030825-1) unstable; urgency=low

  * New upstream.

 -- Joost van Baal <joostvb-caspar-deb-15@mdcc.cx>  Mon, 25 Aug 2003 13:42:59 +0200

caspar (20030809-1) unstable; urgency=low

  * New upstream.
  * doc-base.caspar, doc-base.caspar-typesetting: added, upstream
    documentation is now more fancy.

 -- Joost van Baal <joostvb-caspar-deb-15@mdcc.cx>  Sat, 09 Aug 2003 17:24:28 +0200

caspar (20030718-1) unstable; urgency=low

  * New upstream.

 -- Joost van Baal <joostvb-caspar-deb-15@mdcc.cx>  Wed, 23 Jul 2003 14:04:44 +0200

caspar (20030716-1) unstable; urgency=low

  * New upstream.

 -- Joost van Baal <joostvb-caspar-deb-15@mdcc.cx>  Wed, 16 Jul 2003 12:03:23 +0200

caspar (20030313-1) unstable; urgency=low

  * New upstream.
  * control: suggests docbook-dsssl, needed for PostScript output.

 -- Joost van Baal <joostvb-caspar-deb-15@mdcc.cx>  Mon, 31 Mar 2003 22:47:13 +0200

caspar (20030203-1) unstable; urgency=low

  * New upstream.

 -- Joost van Baal <joostvb-caspar-deb-15@mdcc.cx>  Mon, 03 Feb 2003 16:38:57 +0100

caspar (20020331-1) unstable; urgency=low

  * Initial Release.

 -- Joost van Baal <joostvb-caspar-deb-15@mdcc.cx>  Tue,  2 Apr 2002 11:37:19 +0200
